DIALOGS: Implement New Ul for Sources Dialog (was "integrate ecogrid registry into kepler ecogrid
client")
Description

Currently EcoGrid access in Kepler works but the EcoGrid node that is queried is
a single configurable parameter. This needs to be changed to dynamically access
the EcoGirid registry and get the list of nodes to be queried from the registry.

Then the kepler ecogrid query would be launched against these nodes, possibly
with the ability for the user to configure which nodes to search.

When searching multiple nodes, the results from each node need to be integrated.
The code for integrating the resultsets needs to accomodate different namespaces
(e.g., EML and Darwin Core) in the result set. The EcoGrid web interface will

also need this capability, so we can hopefully use the same resultset

integration code in both applications.

The current registry provides minimal metadata about each node, but eventually
we expect to have rich metadata (such as supported query namespaces, load,
coverage, etc). Once this metadata is available, the kepler client can be
smarter about which nodes are searched, possibly suggesting an appropriate
subset of nodes from the list.

Related issues:

Is duplicate of Kepler - Bug #1695: Multi-node EcoGrid search for Kepler Resolved 09/17/2004
Blocked by Kepler - Bug #2247: TRACKING: Popup Dialog Changes In Progress  11/04/2005
History

#1 - 01/20/2005 09:42 AM - Chad Berkley

Mostly done. need grid GUI. rod will work with laura on this.

#2 - 01/20/2005 10:20 AM - Chad Berkley

kK

¢ Bug 1695 has been marked as a duplicate of this bug.

#3 - 11/02/2005 12:18 PM - Matt Jones

Need to rework registry dialogs according to Laura's redesign. Base
functionality works as far as | know.

#4 - 11/07/2005 05:29 PM - Matthew Brooke

search panel now now uses same visual component as actor search panel. dialog
still to redo

#5 - 11/10/2005 02:27 PM - Matthew Brooke

The "sources" button on the search panel under the "Components" tab (the tab
formerly known as "Actors") will also bring up this same sources dialog, albeit
with different entries showing in the list of available nodes; only nodes that
have components (actors, directors) available will show up.

Conversely, when launched from the data search tab, only the nodes that have
data will show up.
#6 - 03/27/2013 02:17 PM - Redmine Admin
Original Bugzilla ID was 1655
